Package com.smartgwt.client.tools

# Class FacetChartEditProxy

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.tools.EditProxy
com.smartgwt.client.tools.FacetChartEditProxy

All Implemented Interfaces:
  `HasHandlers`

public class FacetChartEditProxy extends EditProxy
`EditProxy` that handles `FacetCharts` when editMode is enabled.

See Also:
  - `Dashboards & Tools Framework Overview`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetChartEditProxy()`
  `FacetChartEditProxy(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `String`
  `getDataDisplaySeparatorChar()`
  If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator for entering label vs value entries.
  `String`
  `getDataEscapeChar()`
  If `inline editing` for this chart edits the `FacetChart.data`, character that can be used to enter literal separator chars (such as the `dataSeparatorChar`).
  `String`
  `getDataSeparatorChar()`
  If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator between values, or between pairs of label vs values.
  `void`
  `getInlineEditText()`
  Returns the text based on the current component state to be edited inline.
  `static FacetChartEditProxy`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `FacetChartEditProxy`
  `setDataDisplaySeparatorChar(String dataDisplaySeparatorChar)`
  If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator for entering label vs value entries.
  `FacetChartEditProxy`
  `setDataEscapeChar(String dataEscapeChar)`
  If `inline editing` for this chart edits the `FacetChart.data`, character that can be used to enter literal separator chars (such as the `dataSeparatorChar`).
  `FacetChartEditProxy`
  `setDataSeparatorChar(String dataSeparatorChar)`
  If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator between values, or between pairs of label vs values.
  `void`
  `setInlineEditText(String newValue)`
  Save the new value into the component's state.

  ### Methods inherited from class com.smartgwt.client.tools.EditProxy

  `getAllowNestedDrops, getAutoMaskChildren, getBringToFrontOnSelect, getCanSelect, getCanSelectChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getEditMask, getHoopSelector, getInlineEditEvent, getInlineEditForm, getInlineEditInstructionLabel, getInlineEditInstructions, getInlineEditMultiline, getInlineEditOnDrop, getJsObj, getOrCreateJsObj, getPersistCoordinates, getSelectedAppearance, getSelectedBorder, getSelectedLabelBackgroundColor, getSelectedTintColor, getSelectedTintOpacity, getShowDragHandle, getSupportsInlineEdit, getUseCopyPasteShortcuts, getUseEditMask, isCreated, setAllowNestedDrops, setAutoMaskChildren, setBringToFrontOnSelect, setCanSelect, setCanSelectChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setInlineEditEvent, setInlineEditInstructions, setInlineEditMultiline, setInlineEditOnDrop, setJavaScriptObject, setPersistCoordinates, setSelectedAppearance, setSelectedBorder, setSelectedLabelBackgroundColor, setSelectedTintColor, setSelectedTintOpacity, setShowDragHandle, setSupportsInlineEdit, setUseCopyPasteShortcuts, setUseEditMask, showSelectedAppearance, startInlineEditing, startInlineEditing`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetChartEditProxy

    public FacetChartEditProxy()

  - ### FacetChartEditProxy

    public FacetChartEditProxy(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FacetChartEditProxy getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `EditProxy`

  - ### setDataDisplaySeparatorChar

    public FacetChartEditProxy setDataDisplaySeparatorChar(String dataDisplaySeparatorChar) throws IllegalStateException
    If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator for entering label vs value entries.

    With the default of ":", the following input defines four values with titles:

               North:10, South:20, East:30, West:40

    The `dataEscapeChar` can be used to enter literal colon characters.

    Parameters:
      `dataDisplaySeparatorChar` - New dataDisplaySeparatorChar value. Default value is ":"
    Returns:
      `FacetChartEditProxy` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getDataDisplaySeparatorChar

    public String getDataDisplaySeparatorChar()
    If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator for entering label vs value entries.

    With the default of ":", the following input defines four values with titles:

               North:10, South:20, East:30, West:40

    The `dataEscapeChar` can be used to enter literal colon characters.

    Returns:
      Current dataDisplaySeparatorChar value. Default value is ":"

  - ### setDataEscapeChar

    public FacetChartEditProxy setDataEscapeChar(String dataEscapeChar) throws IllegalStateException
    If `inline editing` for this chart edits the `FacetChart.data`, character that can be used to enter literal separator chars (such as the `dataSeparatorChar`).

    Repeat this character twice to enter it literally. For example, with the default of "\", inputting "\\" would result in a literal backslash in the value.

    Parameters:
      `dataEscapeChar` - New dataEscapeChar value. Default value is "\"
    Returns:
      `FacetChartEditProxy` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getDataEscapeChar

    public String getDataEscapeChar()
    If `inline editing` for this chart edits the `FacetChart.data`, character that can be used to enter literal separator chars (such as the `dataSeparatorChar`).

    Repeat this character twice to enter it literally. For example, with the default of "\", inputting "\\" would result in a literal backslash in the value.

    Returns:
      Current dataEscapeChar value. Default value is "\"

  - ### setDataSeparatorChar

    public FacetChartEditProxy setDataSeparatorChar(String dataSeparatorChar) throws IllegalStateException
    If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator between values, or between pairs of label vs values.

    The `dataEscapeChar` can be used to enter the separator char as part of a field name or value.

    Parameters:
      `dataSeparatorChar` - New dataSeparatorChar value. Default value is ","
    Returns:
      `FacetChartEditProxy` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getDataSeparatorChar

    public String getDataSeparatorChar()
    If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator between values, or between pairs of label vs values.

    The `dataEscapeChar` can be used to enter the separator char as part of a field name or value.

    Returns:
      Current dataSeparatorChar value. Default value is ","

  - ### getInlineEditText

    public void getInlineEditText()
    Returns the text based on the current component state to be edited inline. Called by the `EditProxy.inlineEditForm` to obtain the starting edit value.
    Overrides:
      `getInlineEditText` in class `EditProxy`

  - ### setInlineEditText

    public void setInlineEditText(String newValue)
    Save the new value into the component's state. Called by the `EditProxy.inlineEditForm` to commit the change.

    Updates the component's `facets` and `data`.

    Lines starting with "--" or "==" are considered titles. A single title is used as the chart title. Titles are matched to the next series of data. If titles are provided for each series, a legend will be shown.

    Series data can be entered as a list of values separated by commas (see `dataSeparatorChar`) or as a valueMap-style list of `label:value` pairs. The first data series defines the number of chart values and the titles, if provided.

    Overrides:
      `setInlineEditText` in class `EditProxy`
    Parameters:
      `newValue` - the new component data